Programme doesn't load

Asked by TrickyNic on 2008-12-04

Downloaded mac version, d/l complete but application doesn't instal? OSX 10.4.11

Question information

Language:
English Edit question
Status:
Answered
For:
SubDownloader Edit question
Assignee:
No assignee Edit question
Last query:
2008-12-04
Last reply:
2008-12-09
Kuisathaverat (kuisathaverat) said : #1

application doesn't install?
It have not instalation, you download the .dmg.zip, uncompress and open the .dmg file then copy SubDownloader.app when you want.
After that you can run the aplication, if you have some problem please send here the file USER_DIR/subdownloader.log to see what is happening.

TrickyNic (nicmiles) said : #2

Hey thanks for the prompt reply! Yes .dmg file on my destop and .app file is on HDD under Applications. When I click/open the programme opens for maybe 2 secs then disappears.

I have sent the log file by email, didn't think you wanted the contents printed here!

Cheers!

TrickyNic (nicmiles) said : #3

Hey thanks for the prompt reply! Yes .dmg file on my desktop and .app
file is on HDD under Applications. When I click/open the programme
opens for maybe 2 secs then disappears.

I have sent the log file by email, didn't think you wanted the
contents printed here!

On 4 Dec 2008, at 20:28, Kuisathaverat wrote:

> Your question #53496 on SubDownloader changed:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> Status: Open => Answered
>
> Kuisathaverat proposed the following answer:
> application doesn't install?
> It have not instalation, you download the .dmg.zip, uncompress and
> open the .dmg file then copy SubDownloader.app when you want.
> After that you can run the aplication, if you have some problem
> please send here the file USER_DIR/subdownloader.log to see what is
> happening.
>
> --
> If this answers your question, please go to the following page to
> let us
> know that it is solved:
> https://answers.launchpad.net/subdownloader/+question/53496/
> +confirm?answer_id=0
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> You received this question notification because you are a direct
> subscriber of the question.
>
>

Kuisathaverat (kuisathaverat) said : #4

It crash in a try..finally sentence i googled it and find this:
Changed in version 2.5: In previous versions of Python, try...except...finally did not work. try...except had to be nested in try...finally.

Seems that versions litle than 2.5 does not support this sentence I do not remenber which version of python have 10.4.11, can you try to open a /Applications/Utilities/Terminal.app and execute the command:
python -version

In Mac OS X 10.5 is 2.5.1 so i think that in 10.4.X may be little than 2.5

Kuisathaverat (kuisathaverat) said : #5

OK, I found it, this is the problem Python 2.4.1 in Mac OS X 10.4
You will try to update the python from :
http://www.python.org/ftp/python/2.5.2/
http://www.python.org/ftp/python/2.6/

TrickyNic (nicmiles) said : #6

IT'S 2.3.5

Last login: Thu Dec 4 21:52:51 on ttyp1
Welcome to Darwin!
Macintosh:~ Nic$ PYTHON - VERSION
Python 2.3.5 (#1, Nov 26 2007, 09:16:55)
[GCC 4.0.1 (Apple Computer, Inc. build 5363) (+4864187)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
 >>>

On 4 Dec 2008, at 21:37, Kuisathaverat wrote:

> Seems that versions litle than 2.5 does not support this sentence I
> do not remenber which version of python have 10.4.11, can you try
> to open a /Applications/Utilities/Terminal.app and execute the
> command:
> python -version

TrickyNic (nicmiles) said : #7

I d/l and ran both those files then subdownloader - still the same,
here's the log file

On 4 Dec 2008, at 21:55, Kuisathaverat wrote:

> Your question #53496 on SubDownloader changed:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> Kuisathaverat proposed the following answer:
> OK, I found it, this is the problem Python 2.4.1 in Mac OS X 10.4
> You will try to update the python from :
> http://www.python.org/ftp/python/2.5.2/
> http://www.python.org/ftp/python/2.6/
>
> --
> If this answers your question, please go to the following page to
> let us
> know that it is solved:
> https://answers.launchpad.net/subdownloader/+question/53496/
> +confirm?answer_id=4
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> You received this question notification because you are a direct
> subscriber of the question.
>
>

Kuisathaverat (kuisathaverat) said : #8

After update python you need to add a new dir in your PATH to use the new version of python.
You need to edit $HOME/.profile file if you haven't one you can use the attachment

Kuisathaverat (kuisathaverat) said : #9

export PATH=/usr/local/bin/:$PATH

TrickyNic (nicmiles) said : #10

Which attachment? And sorry not sure how to do what you ask - I did
run version number in terminal and it says 2.6

On 4 Dec 2008, at 22:24, Kuisathaverat wrote:

> Your question #53496 on SubDownloader changed:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> Status: Open => Needs information
>
> Kuisathaverat requested for more information:
> After update python you need to add a new dir in your PATH to use
> the new version of python.
> You need to edit $HOME/.profile file if you haven't one you can use
> the attachment
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> You received this question notification because you are a direct
> subscriber of the question.
>
>

TrickyNic (nicmiles) said : #11

Do I run this from terminal?

On 4 Dec 2008, at 22:27, Kuisathaverat wrote:

> export PATH=/usr/local/bin/:$PATH
>
> --
> If this answers your question, please go to the following page to
> let us
> know that it is solved:
> https://answers.launchpad.net/subdownloader/+question/53496/
> +confirm?answer_id=8
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/subdownloader/+question/53496
>
> You received this question notification because you are a direct
> subscriber of the question.
>
>

Kuisathaverat (kuisathaverat) said : #12

Finally It only will work with python 2.5.X so it only works on MacOSX 10.5.X or in a 10.4.X with a 2.5.X python version installed

Can you help with this problem?

Provide an answer of your own, or ask TrickyNic for more information if necessary.

To post a message you must log in.